Geometric Mean Calculator
curl --request POST \
--url https://api.iotools.cloud/v1/tool/geometric-mean-calculator \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"numbers": "1, 3, 9",
"decimals": "4"
}
'import requests
url = "https://api.iotools.cloud/v1/tool/geometric-mean-calculator"
payload = {
"numbers": "1, 3, 9",
"decimals": "4"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({numbers: '1, 3, 9', decimals: '4'})
};
fetch('https://api.iotools.cloud/v1/tool/geometric-mean-calculator', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.iotools.cloud/v1/tool/geometric-mean-calculator",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'numbers' => '1, 3, 9',
'decimals' => '4'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.iotools.cloud/v1/tool/geometric-mean-calculator"
payload := strings.NewReader("{\n \"numbers\": \"1, 3, 9\",\n \"decimals\": \"4\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.iotools.cloud/v1/tool/geometric-mean-calculator")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"numbers\": \"1, 3, 9\",\n \"decimals\": \"4\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.iotools.cloud/v1/tool/geometric-mean-calculator")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"numbers\": \"1, 3, 9\",\n \"decimals\": \"4\"\n}"
response = http.request(request)
puts response.read_body{
"tool": "geometric-mean-calculator",
"tool_version": "1.0.2",
"outputs": {
"geometric": "3",
"comparison": [
{
"statistic": "Count",
"value": "3"
},
{
"statistic": "Geometric mean",
"value": "3"
},
{
"statistic": "Arithmetic mean",
"value": "4.3333"
},
{
"statistic": "Harmonic mean",
"value": "2.0769"
},
{
"statistic": "Median",
"value": "3"
},
{
"statistic": "Minimum",
"value": "1"
},
{
"statistic": "Maximum",
"value": "9"
}
]
},
"credits_used": 5,
"credits_remaining": null
}Calculators
Geometric Mean Calculator API
Calculate the geometric mean of a list of positive numbers and compare it with the arithmetic mean, harmonic mean, median, minimum and maximum.
POST
/
v1
/
tool
/
geometric-mean-calculator
Geometric Mean Calculator
curl --request POST \
--url https://api.iotools.cloud/v1/tool/geometric-mean-calculator \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"numbers": "1, 3, 9",
"decimals": "4"
}
'import requests
url = "https://api.iotools.cloud/v1/tool/geometric-mean-calculator"
payload = {
"numbers": "1, 3, 9",
"decimals": "4"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({numbers: '1, 3, 9', decimals: '4'})
};
fetch('https://api.iotools.cloud/v1/tool/geometric-mean-calculator', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.iotools.cloud/v1/tool/geometric-mean-calculator",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'numbers' => '1, 3, 9',
'decimals' => '4'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.iotools.cloud/v1/tool/geometric-mean-calculator"
payload := strings.NewReader("{\n \"numbers\": \"1, 3, 9\",\n \"decimals\": \"4\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.iotools.cloud/v1/tool/geometric-mean-calculator")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"numbers\": \"1, 3, 9\",\n \"decimals\": \"4\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.iotools.cloud/v1/tool/geometric-mean-calculator")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"numbers\": \"1, 3, 9\",\n \"decimals\": \"4\"\n}"
response = http.request(request)
puts response.read_body{
"tool": "geometric-mean-calculator",
"tool_version": "1.0.2",
"outputs": {
"geometric": "3",
"comparison": [
{
"statistic": "Count",
"value": "3"
},
{
"statistic": "Geometric mean",
"value": "3"
},
{
"statistic": "Arithmetic mean",
"value": "4.3333"
},
{
"statistic": "Harmonic mean",
"value": "2.0769"
},
{
"statistic": "Median",
"value": "3"
},
{
"statistic": "Minimum",
"value": "1"
},
{
"statistic": "Maximum",
"value": "9"
}
]
},
"credits_used": 5,
"credits_remaining": null
}Authorizations
Body
application/json
Response
Tool output
Was this page helpful?